id: wordpress-wp-super-cache

info:
  name: WP Super Cache Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/wp-super-cache/
  metadata:
    plugin_namespace: wp-super-cache
    wpscan: https://wpscan.com/plugin/wp-super-cache
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/wp-super-cache/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/wp-super-cache.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502201b4718f8ff9866ee1b06eb72b32fcc384c9f43b2fe5ea75478d4b9d697bda007022100fb30c476634298520947cacb8d3604d32865d8808bd58fb4c85f3790c37f9730:922c64590222798bb761d5b6d8e72950